/*
    Toggle Server v1.0 (2006.05.15)

    Toggle Server toggles between adding and
    removing a null with a specified plugin
    applied. Only one instance may exist per
    plugin.

    To customize to your own needs, rename the
    file and specify the plugin name in the
    variable PLUGIN_NAME and it's type in 
    PLUGIN_TYPE. Make sure you enter a proper
    name and type!
    (See LWEXT*.cfg for the proper names to use
    and lscript documentation for types.)

    To use, just run the command!

    Use at own risk and feel free to modify!
    evenflcw@yahoo.com
*/
@version 2.2
@warnings
@script generic
@name "ef Viewport Size"

PLUGIN_NAME = "ef_ViewportSize";
PLUGIN_TYPE = "CustomObjHandler";

scene;

generic
{
    scene = Scene();
    selItem = scene.getSelect();
    selItemCnt = selItem.size();

    if( !KillServer(PLUGIN_NAME) || !selItem )
        CreateServer(PLUGIN_NAME, PLUGIN_TYPE);

    if( selItem )
        Select(selItem);
}



CreateServer: name, type
{
    AddNull(name);
    SelectByName(name);
    ItemLock( 1 );
    ApplyServer(type, name);

    /*
        If you want the option panels to show
        everytime you start the server uncomment
        the following line:
    */

    //CommandInput( "EditServer "+type+" "+name );
}



PrintServer: item, type
{
    plugins = item.server(type);
    plugCnt = plugins.size();

    for( i=1; i<=plugCnt; i++ )
    {
        info( plugins[i] );
    }
}



KillServer: name
{
    SelectByName(name);

    item = scene.firstSelect();
    if( item && item.name == name )
    {
        AutoConfirm(1);
        ClearSelected();
        AutoConfirm(0);

        return true;
    }

    return false;
}



Select: items
{
    SelectItem( items[1].id );
    for( i = 2; i <= items.size(); i++ )
        AddToSelection( items[i].id );
}














